dataset: identity_dataset
classifier: 
  model:  resnet18
  lr: 0.01
  momentum: 0.9
  num_epochs: 120
  num_workers : 4
  batch_size: 128


paths:
  gender_dataset: ./dataset/CelebA_HQ_face_gender_dataset
  identity_dataset: dataset/CelebA_HQ_facial_identity_dataset
  base_code: dataset/CelebA_HQ_facial_identity_dataset
  detail_code: dataset/CelebA_HQ_facial_identity_dataset
  inverter_cfg: /dataset/face_identity/psp_ffhq_encode.pt
  classifier: checkpoint
  stylegan: checkpoint/stylegan2-ffhq-config-f.pt
  adv_embedding: pretrained_models

prompt: red lipstick
# available attributes
# ['Blond_Hair', 'Wavy_Hair', 'Young', 'Eyeglasses', 'Heavy_Makeup', 'Rosy_Cheeks',
#                               'Chubby', 'Mouth_Slightly_Open', 'Bushy_Eyebrows', 'Wearing_Lipstick', 'Smiling',
#                               'Arched_Eyebrows', 'Bangs', 'Wearing_Earrings', 'Bags_Under_Eyes', 'Receding_Hairline', 'Pale_Skin']

optim:
  batch_size: 1
  num_epochs: 200
  num_workers : 4
  images_resize: 256
  alpha: 0.1
  beta: 1
  delta: 1